# Glib::RecMutex Class Reference
[Threads]

Inherits Glib::StaticRecMutex.

Collaboration diagram for Glib::RecMutex:
[legend]

List of all members.

## Classes

class | Lock
| Utility class for exception-safe locking of recursive mutexes. More...

## Public Member Functions

| RecMutex ()
| ~RecMutex ()

## Constructor & Destructor Documentation

Glib::RecMutex::RecMutex | ( |  | ) |

Glib::RecMutex::~RecMutex | ( |  | ) |

The documentation for this class was generated from the following file:

- glibmm/thread.h